Bug 523951 - suspicious build warnings related to l10n and i18n
Summary: suspicious build warnings related to l10n and i18n
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nano
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 11:25 UTC by Kamil Dudka
Modified: 2009-09-21 14:13 UTC (History)
3 users (show)

Fixed In Version: 2.0.9-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-21 14:05:21 UTC


Attachments (Terms of Use)
proposed patch suppressing the compilation warnings (4.64 KB, patch)
2009-09-21 11:38 UTC, Kamil Dudka
no flags Details | Diff

Description Kamil Dudka 2009-09-17 11:25:54 UTC
Description of problem:
make[5]: Entering directory `/builddir/build/BUILD/nano-2.0.6/doc/man/fr'
groff -t -mandoc -Thtml < nano.1 > nano.1.html
<standard input>:37: warning: can't find numbered character 160
<standard input>:42: warning: can't find numbered character 160
...

chars.c: In function 'is_alnum_mbchar':
chars.c:92: warning: ignoring return value of 'mbtowc', declared with attribute warn_unused_result
chars.c: In function 'is_blank_mbchar':
chars.c:112: warning: ignoring return value of 'mbtowc', declared with attribute warn_unused_result
...

Version-Release number of selected component (if applicable):
nano-2.0.6-8.fc12

Actual results:
http://koji.fedoraproject.org/koji/getfile?taskID=1685711&name=build.log

Expected results:
no warnings

Comment 1 Kamil Dudka 2009-09-18 18:19:07 UTC
The warnings from part #1 of comment #0 were truthful, the HTML doc was broken in FR locales. It should be fixed in nano-2.0.9-1.fc12. Please leave here a note if that's not the case. Leaving this bug open to track down part #2 of comment #0.

Comment 2 Kamil Dudka 2009-09-18 18:29:58 UTC
(In reply to comment #1)
I just spotted the HTML doc is not installed either, not sure yet if it is desired or not...

Comment 3 Kamil Dudka 2009-09-21 11:38:21 UTC
Created attachment 361913 [details]
proposed patch suppressing the compilation warnings

The patch explicitly casts unused values to void expressions to suppress warnings for __attribute__((warn_unused_result)). Note the warnings are still present in the upstream SVN head which is two years forward.

Comment 4 Kamil Dudka 2009-09-21 14:05:21 UTC
Fixed in nano-2.0.9-3.fc12.

Comment 5 Kamil Dudka 2009-09-21 14:13:33 UTC
Patch proposed upstream:
http://lists.gnu.org/archive/html/nano-devel/2009-09/msg00009.html


Note You need to log in before you can comment on or make changes to this bug.